package model

type DistributeFeedFormulaRequest struct {
	PastureId int64          `json:"pasture_id"`
	Body      []*FeedFormula `json:"body"`
}

type PastureResponse struct {
	Code int32       `json:"code"`
	Msg  string      `json:"msg"`
	Data interface{} `json:"data"`
}

type DashboardAccuracyRequest struct {
	CattleParentCategoryId int32  `json:"cattle_parent_category_id,omitempty"`
	FeedFormulaId          int32  `json:"feed_formula_id"`
	StartDate              string `json:"start_date"`
	EndDate                string `json:"end_date"`
	PastureId              int32  `json:"pasture_id"`
}

type FeedFormulaIsModifyRequest struct {
	PastureId     int64 `json:"pasture_id"`
	FeedFormulaId int64 `json:"feed_formula_id"`
	IsModify      int32 `json:"is_modify"`
}

type PastureAnalysisAccuracyResponse struct {
	Code int32                        `json:"code"`
	Msg  string                       `json:"msg"`
	Data *PastureAnalysisAccuracyData `json:"data"`
}

type PastureAnalysisAccuracyData struct {
	MixedFodderAccurateRatio    []*PastureAnalysisAccuracyDataValue `json:"mixed_fodder_accurate_ratio"`    // 混料准确率
	MixedFodderCorrectRatio     []*PastureAnalysisAccuracyDataValue `json:"mixed_fodder_correct_ratio"`     // 混料正确率
	SprinkleFodderAccurateRatio []*PastureAnalysisAccuracyDataValue `json:"sprinkle_fodder_accurate_ratio"` // 撒料准确率
	SprinkleFodderCorrectRatio  []*PastureAnalysisAccuracyDataValue `json:"sprinkle_fodder_correct_ratio"`  // 撒料正确率
}

type PastureAnalysisAccuracyDataValue struct {
	DayTime string  `json:"day_time"`
	Ratio   float64 `json:"ratio"`
}

type AccountDistribution struct {
	Account   string `json:"account"`
	UserName  string `json:"user_name"`
	Password  string `json:"password"`
	Phone     string `json:"phone"`
	PastureId int32  `json:"pasture_id"`
}

type CategoryRequest struct {
	PastureId  int32  `json:"pasture_id"`
	ParentId   int32  `json:"parent_id"`
	ParentName string `json:"parent_name"`
	Name       string `json:"name"`
	Id         int32  `json:"id"`
	Number     string `json:"number"`
	IsShow     int32  `json:"is_show"`
	GroupId    int32  `json:"group_id"`
}
